 import Vue from 'vue'
 import Vuex from 'vuex'

Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		yuyueData:'',
		carInfo:'',
	},
	getters:{
		getyuyueData(state){
			return state.yuyueData
	    },
	    getcarInfo(state){
	    	return state.carInfo
	    },
    },
    mutations: {
		mutationsyuyueData(state,data){
			state.yuyueData=data
		},
		mutationscarInfo(state,data){
			state.carInfo=data
		},
	},
    actions: {
		actionsyuyueData(context,playload){
			context.commit('mutationsyuyueData',playload)
		},
		actionscarInfo(context,playload){
			context.commit('mutationscarInfo',playload)
		},
	}
})
export default store